gnutls_x509_privkey_export2(3)

NAME
gnutls_x509_privkey_export2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_export2(gnutls_x509_privkey_t key, gnutls_x509_crt_fmt_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

gnutls_datum_t * out
    will contain a private key PEM or DER encoded

DESCRIPTION
This function will export the private key to a PKCS1 structure for RSA keys, or an integer sequence for DSA keys. The DSA keys are in the same format with the parameters used by openssl. The output buffer is allocated using gnutls_malloc(). If the structure is PEM encoded, it will have a header of "BEGIN RSA PRIVATE KEY".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. Since 3.1.3

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/